Skip to main content
Find the best Employees for a given External Company
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/companies/{external_id}/matching_employees \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filters": [
    {
      "filter": "max_geo_distance",
      "max_geo_distance": 50
    },
    {
      "filter": "language",
      "max_overqualification": 2,
      "max_underqualification": 1
    },
    {
      "filter": "last_updated",
      "value": "2022-01-01",
      "operator": "lt"
    },
    {
      "filter": "custom_property_equal",
      "from_entity_property": "desired_wage",
      "to_entity_property": "wage"
    },
    {
      "filter": "custom_property",
      "property_name": "direct_manager",
      "property_value": "John Doe"
    },
    {
      "filter": "custom_property_is_in",
      "from_entity_property": "required_drivers_license",
      "to_entity_property": "drivers_licenses"
    },
    {
      "filter": "custom_property_is_in_list",
      "property_name": "drivers_license",
      "possible_values": [
        "C",
        "CE"
      ]
    },
    {
      "filter": "custom_property_contains",
      "from_entity_property": "shift_regime_codes",
      "to_entity_property": "desired_regime"
    },
    {
      "filter": "custom_property_list_overlap",
      "from_entity_property": "desired_industries",
      "to_entity_property": "industries"
    },
    {
      "filter": "custom_property_contains_element",
      "property_name": "industries",
      "property_value": "electronics"
    },
    {
      "filter": "external_id_is_in_list",
      "external_ids": [
        "c350500-eb84-42dc-a79f-5e7b1fe897b7",
        "b450500-eb84-42dc-a79f-5e7b1fe897c8"
      ]
    },
    {
      "filter": "low_data_availability",
      "exclude_low_data_availability": true
    }
  ],
  "weights": [
    {
      "weight": "skills_match",
      "value": 1
    },
    {
      "weight": "desired_functions",
      "value": 0.03
    },
    {
      "weight": "geo_distance",
      "value": 0.1,
      "full_score_distance": 5,
      "zero_score_distance": 50
    },
    {
      "weight": "custom_property",
      "value": 0.04,
      "property_name": "yearly_salary",
      "operator": "gte",
      "property_value": 45000
    },
    {
      "weight": "custom_property_is_in",
      "value": 0.06,
      "from_entity_property": "desired_work_regime",
      "to_entity_property": "offered_work_regimes"
    },
    {
      "weight": "custom_property_is_in_list",
      "value": 0.05,
      "property_name": "region",
      "possible_values": [
        "Flanders",
        "Wallonia"
      ]
    },
    {
      "weight": "custom_property_contains",
      "value": 0.07,
      "from_entity_property": "sectors",
      "to_entity_property": "desired_sector"
    },
    {
      "weight": "custom_property_contains_element",
      "value": 0.04,
      "property_name": "industries",
      "property_value": [
        "Electronics",
        "Aviation"
      ]
    },
    {
      "weight": "custom_property_list_overlap",
      "value": 0.04,
      "from_entity_property": "desired_industries",
      "to_entity_property": "industries"
    }
  ]
}
'
import requests

url = "https://{tenant_name}.{region}.techwolf.ai/companies/{external_id}/matching_employees"

payload = {
"filters": [
{
"filter": "max_geo_distance",
"max_geo_distance": 50
},
{
"filter": "language",
"max_overqualification": 2,
"max_underqualification": 1
},
{
"filter": "last_updated",
"value": "2022-01-01",
"operator": "lt"
},
{
"filter": "custom_property_equal",
"from_entity_property": "desired_wage",
"to_entity_property": "wage"
},
{
"filter": "custom_property",
"property_name": "direct_manager",
"property_value": "John Doe"
},
{
"filter": "custom_property_is_in",
"from_entity_property": "required_drivers_license",
"to_entity_property": "drivers_licenses"
},
{
"filter": "custom_property_is_in_list",
"property_name": "drivers_license",
"possible_values": ["C", "CE"]
},
{
"filter": "custom_property_contains",
"from_entity_property": "shift_regime_codes",
"to_entity_property": "desired_regime"
},
{
"filter": "custom_property_list_overlap",
"from_entity_property": "desired_industries",
"to_entity_property": "industries"
},
{
"filter": "custom_property_contains_element",
"property_name": "industries",
"property_value": "electronics"
},
{
"filter": "external_id_is_in_list",
"external_ids": ["c350500-eb84-42dc-a79f-5e7b1fe897b7", "b450500-eb84-42dc-a79f-5e7b1fe897c8"]
},
{
"filter": "low_data_availability",
"exclude_low_data_availability": True
}
],
"weights": [
{
"weight": "skills_match",
"value": 1
},
{
"weight": "desired_functions",
"value": 0.03
},
{
"weight": "geo_distance",
"value": 0.1,
"full_score_distance": 5,
"zero_score_distance": 50
},
{
"weight": "custom_property",
"value": 0.04,
"property_name": "yearly_salary",
"operator": "gte",
"property_value": 45000
},
{
"weight": "custom_property_is_in",
"value": 0.06,
"from_entity_property": "desired_work_regime",
"to_entity_property": "offered_work_regimes"
},
{
"weight": "custom_property_is_in_list",
"value": 0.05,
"property_name": "region",
"possible_values": ["Flanders", "Wallonia"]
},
{
"weight": "custom_property_contains",
"value": 0.07,
"from_entity_property": "sectors",
"to_entity_property": "desired_sector"
},
{
"weight": "custom_property_contains_element",
"value": 0.04,
"property_name": "industries",
"property_value": ["Electronics", "Aviation"]
},
{
"weight": "custom_property_list_overlap",
"value": 0.04,
"from_entity_property": "desired_industries",
"to_entity_property": "industries"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [
{filter: 'max_geo_distance', max_geo_distance: 50},
{filter: 'language', max_overqualification: 2, max_underqualification: 1},
{filter: 'last_updated', value: '2022-01-01', operator: 'lt'},
{
filter: 'custom_property_equal',
from_entity_property: 'desired_wage',
to_entity_property: 'wage'
},
{
filter: 'custom_property',
property_name: 'direct_manager',
property_value: 'John Doe'
},
{
filter: 'custom_property_is_in',
from_entity_property: 'required_drivers_license',
to_entity_property: 'drivers_licenses'
},
{
filter: 'custom_property_is_in_list',
property_name: 'drivers_license',
possible_values: ['C', 'CE']
},
{
filter: 'custom_property_contains',
from_entity_property: 'shift_regime_codes',
to_entity_property: 'desired_regime'
},
{
filter: 'custom_property_list_overlap',
from_entity_property: 'desired_industries',
to_entity_property: 'industries'
},
{
filter: 'custom_property_contains_element',
property_name: 'industries',
property_value: 'electronics'
},
{
filter: 'external_id_is_in_list',
external_ids: ['c350500-eb84-42dc-a79f-5e7b1fe897b7', 'b450500-eb84-42dc-a79f-5e7b1fe897c8']
},
{filter: 'low_data_availability', exclude_low_data_availability: true}
],
weights: [
{weight: 'skills_match', value: 1},
{weight: 'desired_functions', value: 0.03},
{
weight: 'geo_distance',
value: 0.1,
full_score_distance: 5,
zero_score_distance: 50
},
{
weight: 'custom_property',
value: 0.04,
property_name: 'yearly_salary',
operator: 'gte',
property_value: 45000
},
{
weight: 'custom_property_is_in',
value: 0.06,
from_entity_property: 'desired_work_regime',
to_entity_property: 'offered_work_regimes'
},
{
weight: 'custom_property_is_in_list',
value: 0.05,
property_name: 'region',
possible_values: ['Flanders', 'Wallonia']
},
{
weight: 'custom_property_contains',
value: 0.07,
from_entity_property: 'sectors',
to_entity_property: 'desired_sector'
},
{
weight: 'custom_property_contains_element',
value: 0.04,
property_name: 'industries',
property_value: ['Electronics', 'Aviation']
},
{
weight: 'custom_property_list_overlap',
value: 0.04,
from_entity_property: 'desired_industries',
to_entity_property: 'industries'
}
]
})
};

fetch('https://{tenant_name}.{region}.techwolf.ai/companies/{external_id}/matching_employees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "employee_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
      "company_id": "c350500-eb84-42dc-a79f-5e7b1fe897b7",
      "score": 0.87657,
      "matching_vacancies": [
        {
          "employee_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
          "vacancy_id": "a4003805-eb84-42dc-a79f-5e7b1fe897b7",
          "score": 0.9,
          "job_title": "Business Analyst"
        },
        {
          "employee_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
          "vacancy_id": "b4003805-eb84-42dc-a79f-5e7b1fe897b7",
          "score": 0.7,
          "job_title": "Data Scientist"
        }
      ]
    }
  ]
}
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
]
[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
]
[
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
]
[
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
]
[
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]
"max connections reached: <limit>"
[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Query Parameters

score_min_threshold
number<float>
default:0.5

The minimum score of the results. Due to approximations for fast result-delivery, there might be records with a score slightly lower than the minimum.

Required range: 0 <= x <= 1
Example:

0.7

limit
integer
default:10

The maximal number of results returned.

Required range: 1 <= x <= 100
Example:

10

offset
integer
default:0

The rank offset for returned matches, return matches starting from rank offset up to rank offset+limit.

Required range: x >= 0
external_vendor
enum<string>
default:techwolf

The external vendor vocabulary you want to see the Skills displayed in. This will only work for vendors that are activated on your tenant.

Available options:
techwolf,
workday,
sap_attribute_library
Example:

"workday"

Body

application/json

List of weights to be applied during matching

filters
(max_geo_distance · object | language · object | last_updated · object | custom_property_equal · object | custom_property · object | custom_property_is_in · object | custom_property_is_in_list · object | custom_property_contains · object | custom_property_contains_element · object | custom_property_list_overlap · object | external_id_is_in_list · object | low_data_availability · object)[]
required
Example:
[
{
"filter": "max_geo_distance",
"max_geo_distance": 50
},
{
"filter": "language",
"max_overqualification": 2,
"max_underqualification": 1
},
{
"filter": "last_updated",
"value": "2022-01-01",
"operator": "lt"
},
{
"filter": "custom_property_equal",
"from_entity_property": "desired_wage",
"to_entity_property": "wage"
},
{
"filter": "custom_property",
"property_name": "direct_manager",
"property_value": "John Doe"
},
{
"filter": "custom_property_is_in",
"from_entity_property": "required_drivers_license",
"to_entity_property": "drivers_licenses"
},
{
"filter": "custom_property_is_in_list",
"property_name": "drivers_license",
"possible_values": ["C", "CE"]
},
{
"filter": "custom_property_contains",
"from_entity_property": "shift_regime_codes",
"to_entity_property": "desired_regime"
},
{
"filter": "custom_property_list_overlap",
"from_entity_property": "desired_industries",
"to_entity_property": "industries"
},
{
"filter": "custom_property_contains_element",
"property_name": "industries",
"property_value": "electronics"
},
{
"filter": "external_id_is_in_list",
"external_ids": [
"c350500-eb84-42dc-a79f-5e7b1fe897b7",
"b450500-eb84-42dc-a79f-5e7b1fe897c8"
]
},
{
"filter": "low_data_availability",
"exclude_low_data_availability": true
}
]
weights
(skills_match · object | desired_functions · object | geo_distance · object | custom_property · object | custom_property_is_in · object | custom_property_is_in_list · object | custom_property_contains · object | custom_property_contains_element · object | custom_property_list_overlap · object)[]
required
Example:
[
{ "weight": "skills_match", "value": 1 },
{
"weight": "desired_functions",
"value": 0.03
},
{
"weight": "geo_distance",
"value": 0.1,
"full_score_distance": 5,
"zero_score_distance": 50
},
{
"weight": "custom_property",
"value": 0.04,
"property_name": "yearly_salary",
"operator": "gte",
"property_value": 45000
},
{
"weight": "custom_property_is_in",
"value": 0.06,
"from_entity_property": "desired_work_regime",
"to_entity_property": "offered_work_regimes"
},
{
"weight": "custom_property_is_in_list",
"value": 0.05,
"property_name": "region",
"possible_values": ["Flanders", "Wallonia"]
},
{
"weight": "custom_property_contains",
"value": 0.07,
"from_entity_property": "sectors",
"to_entity_property": "desired_sector"
},
{
"weight": "custom_property_contains_element",
"value": 0.04,
"property_name": "industries",
"property_value": ["Electronics", "Aviation"]
},
{
"weight": "custom_property_list_overlap",
"value": 0.04,
"from_entity_property": "desired_industries",
"to_entity_property": "industries"
}
]

Response

OK

results
object[]
required

List of match results.